"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.up = void 0;

/* eslint-disable prettier/prettier */
const up = async sql => {
  await sql`
    CREATE TABLE "tokens" (
      "id"         SERIAL,
      "user"       TEXT      NOT NULL,
      "token"      TEXT      NOT NULL,
      "key"        TEXT      NOT NULL,
      "cidr"       TEXT[],
      "readonly"   BOOLEAN   NOT NULL,
      "created"    TIMESTAMP NOT NULL,
      "updated"    TIMESTAMP,
      PRIMARY KEY ("id")
    )`;
};

exports.up = up;