import { Logger } from '@verdaccio/types';
import { UploadTarball, ReadTarball } from '@verdaccio/streams';
import { Database } from '../database';
export declare class TarballService {
    private database;
    private logger;
    private storage;
    private package;
    constructor(database: Database, logger: Logger, storage: string, pkg: string);
    write: (name: string, upload: UploadTarball) => Promise<void>;
    read: (name: string, read: ReadTarball) => Promise<void>;
    delete: (name: string) => Promise<void>;
    remove: () => Promise<void>;
}
