"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.up = void 0;

/* eslint-disable prettier/prettier */
const up = async sql => {
  await sql`
    CREATE TABLE "packages" (
      "storage"    TEXT,
      "name"       TEXT,
      "json"       JSONB     NOT NULL,
      "created"    TIMESTAMP NOT NULL DEFAULT NOW(),
      "updated"    TIMESTAMP NOT NULL DEFAULT NOW(),
      PRIMARY KEY ("storage", "name")
    )
  `;
};

exports.up = up;