import { Logger, Package as VerdaccioPackage, Callback } from '@verdaccio/types';
import { Database } from '../database';
export declare class PackageService {
    private database;
    private logger;
    private storage;
    private name;
    static search: (database: Database, onPackage: Callback, onEnd: Callback) => Promise<void>;
    constructor(database: Database, logger: Logger, storage: string, name: string);
    create: (name: string, json: VerdaccioPackage) => Promise<void>;
    save: (name: string, json: VerdaccioPackage) => Promise<void>;
    update: (name: string, updateHandler: Callback, onWrite: Callback, transformPackage: Function) => Promise<void>;
    read: (name: string) => Promise<VerdaccioPackage>;
    delete: () => Promise<void>;
}
